List objective context windows
GET/v1/objectives/{objectiveId}/context_windows
Read-only list of the last five windows of execution for this objective, ordered by most recent first
List objective context windows
curl https://api.cadenya.com/v1/objectives/$OBJECTIVE_ID/context_windows \
-H "Authorization: Bearer $CADENYA_API_KEY"{
"items": [
{
"data": {
"completionTokens": 0,
"objectiveId": "objectiveId",
"previousWindowContinueInstructions": "previousWindowContinueInstructions",
"promptTokens": 0,
"sequence": 0
},
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"info": {
"createdBy": {
"metadata": {
"id": "id",
"accountId": "accountId",
"name": "name",
"profileId": "profileId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"spec": {
"type": "PROFILE_TYPE_USER",
"email": "email",
"name": "name"
}
},
"objective": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
}
}
}
],
"pagination": {
"nextCursor": "nextCursor",
"total": 0
}
}Returns Examples
{
"items": [
{
"data": {
"completionTokens": 0,
"objectiveId": "objectiveId",
"previousWindowContinueInstructions": "previousWindowContinueInstructions",
"promptTokens": 0,
"sequence": 0
},
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"info": {
"createdBy": {
"metadata": {
"id": "id",
"accountId": "accountId",
"name": "name",
"profileId": "profileId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
},
"spec": {
"type": "PROFILE_TYPE_USER",
"email": "email",
"name": "name"
}
},
"objective": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
}
}
}
],
"pagination": {
"nextCursor": "nextCursor",
"total": 0
}
}